r12940 - /scripts/rebuild-all.sh

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Fri Jan 18 11:49:32 UTC 2008


Author: dmn
Date: Fri Jan 18 11:49:25 2008
New Revision: 12940

URL: http://svn.debian.org/wsvn/?sc=1&rev=12940
Log:
A very raw (and location-dependent) script for rebuilding all our packages

Added:
    scripts/rebuild-all.sh   (with props)

Added: scripts/rebuild-all.sh
URL: http://svn.debian.org/wsvn/scripts/rebuild-all.sh?rev=12940&op=file
==============================================================================
--- scripts/rebuild-all.sh (added)
+++ scripts/rebuild-all.sh Fri Jan 18 11:49:25 2008
@@ -1,0 +1,24 @@
+grep 'Source: ' */debian/control|sed 's/.\+Source: //' | sort | (
+    while read p; do
+        TMP=`mktemp -d`
+        trap "rm -rf $TMP; exit 1" INT QUIT
+
+        echo "=== $p"
+        cd $TMP
+        apt-get -t unstable -qq -d source $p
+
+        v=`grep '^Version' *.dsc|head -n 1|sed 's/^Version: //'`
+
+        echo -n downloaded $v
+
+        LOG=/tmp/rebuildlogs/$p
+
+        sudo cowbuilder --build --basepath /var/cache/pbuilder/sid+perl5.10 *.dsc > $LOG 2>&1
+
+        echo " built"
+
+        debc /var/cache/pbuilder/result/${p}_${v}_i386.changes >> $LOG
+
+        rm -rf $TMP
+    done
+)

Propchange: scripts/rebuild-all.sh
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list